Complete Azure DevOps SCM App install
curl --request PUT \
--url https://api.example.com/api/scm/ado_app_install \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"scmAppId": "<string>"
}
'import requests
url = "https://api.example.com/api/scm/ado_app_install"
payload = {
"deploymentId": "<string>",
"scmAppId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', scmAppId: '<string>'})
};
fetch('https://api.example.com/api/scm/ado_app_install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app": {
"id": "<string>",
"slug": "<string>",
"appId": "<string>",
"baseUrl": "<string>",
"requestId": "<string>",
"scmName": "<string>",
"codeAccess": true,
"tenantId": "<string>"
}
}Source Code Management (SCM) App
Complete Azure DevOps SCM App install
After the user has uploaded the certificate, verify the Service Principal can authenticate to ADO and create webhook subscriptions required for the integration. Then mark the install as ready.
PUT
/
api
/
scm
/
ado_app_install
Complete Azure DevOps SCM App install
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I